<?php

namespace Drupal\centreon_status;

/**
 * Get json result.
 */
class CentreonStatus {

  /**
   * Get json content.
   *
   * @return array
   *   Get json result.
   */
  public static function getJson() {
    $config = \Drupal::config('centreon_status.settings');

    if ($config->get('url_ws') && $config->get('username') && $config->get('password')) {
      try {
        $response = \Drupal::httpClient()
          ->get($config->get('url_ws'), [
            'headers' => ['Accept' => 'application/json'],
            'auth' => [$config->get('username'), $config->get('password')],
          ]);
      }
      catch (RequestException $e) {
        watchdog_exception('centreon_status', $e->getMessage());
      }

      $json_string = $response->getBody(TRUE)->getContents();
      // Convert to UTF-8.
      $json_string = iconv('UTF-8', 'UTF-8//IGNORE', utf8_encode($json_string));
      return json_decode($json_string, TRUE);
    }
    else {
      watchdog_exception('centreon_status', t("Centreon settings is not set"));
    }
  }

}
